26Q0007 RFC-001 RESPONSE.pdf
PDF 109 KB Posted
- Attached to
- NEWPORT RI POTS REPLACEMENT SOLUTION Federal contract opportunity
- Solicitation number
- N7027226Q0007
About this file
This is a Request for Specification Clarification (RFC-001) document for contract N7027226Q0007, the Newport Rhode Island Telecom Solution, with all RFCs to be submitted no later than February 22, 2026. The RFC addresses PWS sections 2.2 (Places of Performance) and 2.3 (Service Location Details) and seeks clarification on service locations and user requirements. The contracting officer confirms that approximately 54 separate buildings and 132 users have been identified as referenced in the prior POTS solution solicitation. The address for site 1295CP remains unknown with no available documentation from either the government or incumbent vendor, while site 62CC is located at 76 Simonpietri Drive, Newport, RI 02841. There are no additional sites or additional users beyond those already identified, and each of the 132 users will require one line with one individual telephone number.
View the file
Other files for this federal contract opportunity
| File | Type | Posted |
|---|---|---|
| 26Q0007 RFC-003 RESPONSE.pdf | ||
| 26Q0007-0001 RFQ.docx | DOCX document | |
| 26Q0007 RFC-002 RESPONSE.pdf | ||
| 26Q0007 ANNEX A PWS.docx | DOCX document | |
| 26Q0007 RFQ.docx | DOCX document | |
| 26Q0007 ANNEX B TECH EVAL FACTORS.docx | DOCX document | |
| 26Q0007 ANNEX C PRICING.xlsx | XLSX spreadsheet | |
| 26Q0007 RFC TEMPLATE.docx | DOCX document |
On GovTribe
Work with this file on GovTribe
- Download the original file
- Contacts named in this file
- Similar government files
- Ask GovTribe AI about this file
Text version
N7027226Q0007
NEWPORT RHODE ISLAND TELECOM SOLUTION
ALL RFC’S TO BE SUBMITTED NLT 22 FEBRUARY 2026 OR EARLIER
REQUEST FOR SPECIFICATION CLARIFICATION
RFC-001
NAME OF CONTRACTOR:
SPECIFICATION ITEM NO.: _PWS____________________
PARAGRAPH / SECTION NO:__2.2 PLACES OF PERFORMANCE 2.3 SERVICE
LOCATION DETAILS
TITLE: __Locations
PWS 2.3 states Service Location Details: ADDITIONAL INVENTORY DETAILS TO BE
DEFINED UPON COMPLETION OF SITE SURVEY.
1. Please confirm that approximately 54 separate buildings and 132 users identified in
N7027226N0007, NEWPORT RI POTS SOLUTION, ATTACHMENT J – 8,
REQUEST FOR SPECIFICATION CLARIFICATION, RFC -001 Answer 1 to Question 1 are still accurate. In addition, please provide street addresses for sites 1295CP (listed as Unknown Address) and 62CC (listed as Elec Station Operations Maintenance Warehouse Chandler).
2. As to additional details, please provide what details are contemplated such as additional sites and additional users. Are these additional sites currently billed and serviced by the incumbent provider?
3. Please confirm that each 132 users will need one line with one telephone number.
N7027226Q0007
NEWPORT RHODE ISLAND TELECOM SOLUTION
ALL RFC’S TO BE SUBMITTED NLT 22 FEBRUARY 2026 OR EARLIER
ANSWER 1: Yes, approximately 54 separate buildings and 132 users have been identified.
The address for 1295 CP is unknown. There is no available documentation with an address for that building. The vendor doesn’t have it listed, either. For 62CC, the vendor has the address listed as 76 SIMONPIETRI DR, NREPORT, RI 02841
ANSWER 2: There are no additional sites or additional users.
ANSWER 3: Yes, each of the 132 users will require one line with one telephone number.
File details come from the government source that posted it. Updated .